#!/usr/bin/perl
# -----------------------------------------------------------------------------
# TWC
# Treuwert-Computer GmbH
# Schloßbergring 9
# 79098 Freiburg
#
# Author: Klaus Reger <K.Reger@twc.de>
#
# -----------------------------------------------------------------------------
# Program-Data
# -----------------------------------------------------------------------------
# Project  :
# System   :
# Program  :
# Module   : $RCSfile: TestList.t,v $
# Version  : $Revision: 1.1 $
# Date     : $Date: 2002/02/28 15:23:50 $
# State    : $State: Exp $
#
# Description:
#   This module handles all the things of WWWdb, which have
#   to do with List
#
# Change-log (See at end of this file)
#
# --- Known Bugs -------------
# please look at the BUGS-File
# --- TODO -------------------
# please look at the TODO-File
# ----------------------------------------------------------------------------

use lib ($ENV{"WWWDB_BASE_PATH"}?
         $ENV{"WWWDB_BASE_PATH"}:
         "/usr/local/httpd/htdocs/WWWdb");

use WWWdb::List;

$oListGL = List->new();

$oListGL->Append("ZERO");
$oListGL->Append("ONE");
$oListGL->Append("TWO");
$oListGL->Append(List->new(FillAtInsert => 1));

$oSecondList = $oListGL->Get(-1);
$oSecondList->Append("three.ZERO");
$oSecondList->Insert(30, "three.XXX");

$oListGL->Set(15, "FIFTEEN");

$oListGL->Delete(2);
$oListGL->Insert(2, "II");

foreach ($oListGL->Get())
{
   print "ListValue = $_\n";
}

$oListGL->ShowAttributes();

$oListGL->Dump();



